--- 2332-pre3/drivers/net/tlan.c	Mon Dec 13 08:51:04 1999
+++ linux/drivers/net/tlan.c	Mon Dec 13 09:06:01 1999
@@ -1135,11 +1135,7 @@
 	if ( ! head_list->cStat & TLAN_CSTAT_FRM_CMP ) {
 		printk( "TLAN:  Received interrupt for uncompleted TX frame.\n" );
 	}
-
-#if LINUX_VERSION_CODE > KERNEL_VERSION(2,1,0)
 	priv->stats.tx_bytes += head_list->frameSize;
-#endif
-
 	head_list->cStat = TLAN_CSTAT_UNUSED;
 	dev->tbusy = 0;
 	CIRC_INC( priv->txHead, TLAN_NUM_TX_LISTS );
@@ -1255,11 +1251,7 @@
 			skb->dev = dev;
 			skb_reserve( skb, 2 );
 			t = (void *) skb_put( skb, head_list->frameSize );
-
-#if LINUX_VERSION_CODE > KERNEL_VERSION(2,1,0)
 			priv->stats.rx_bytes += head_list->frameSize;
-#endif
-
 			memcpy( t, head_buffer, head_list->frameSize );
 			skb->protocol = eth_type_trans( skb, dev );
 			netif_rx( skb );
@@ -1280,10 +1272,7 @@
 			skb = (struct sk_buff *) head_list->buffer[9].address;
 			head_list->buffer[9].address = 0;
 			skb_trim( skb, head_list->frameSize );
-#if LINUX_VERSION_CODE > KERNEL_VERSION(2,1,0)
 			priv->stats.rx_bytes += head_list->frameSize;
-#endif
-
 			skb->protocol = eth_type_trans( skb, dev );
 			netif_rx( skb );
 	
@@ -2447,7 +2436,6 @@
 	int	err;
 	int	minten;
 	TLanPrivateInfo *priv = (TLanPrivateInfo *) dev->priv;
-	int	irq;
 	unsigned long flags;
 
 	err = FALSE;
